Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 705326 - media-libs/qtav-1.12.0-r1 installs to wrong paths and misses some files
Summary: media-libs/qtav-1.12.0-r1 installs to wrong paths and misses some files
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Johannes Huber
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2020-01-13 03:36 UTC by David Haller
Modified: 2020-01-26 17:16 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
fix include and qml install paths and add mkspecs files (qtav-1.12.0-install_fixes.patch,2.16 KB, patch)
2020-01-13 03:39 UTC, David Haller
Details | Diff
patch as -r2 (qtav-1.12.0-install_fixes.patch,3.17 KB, patch)
2020-01-14 03:00 UTC, David Haller
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Haller 2020-01-13 03:36:18 UTC
media-libs/qtav-1.12.0[-r1] installs files to wrong locations and misses out on some parts, to wit:

1) installs headers directly under /usr/include/ instead of /usr/include/qt5 where they are searched for
2) installs qml files under /usr/qml
3) lacks the /usr/lib*/qt5/mkspecs/{features/*.prf,modules/*.pri} files

Reproducible: Always

Steps to Reproduce:
$ equery files media-libs/qtav | less
Actual Results:  
See description

Expected Results:  
See description
Comment 1 David Haller 2020-01-13 03:39:00 UTC
Created attachment 603130 [details, diff]
fix include and qml install paths and add mkspecs files

Not sure if the "style" of the ebuild additions conforms to standard ;)
Comment 2 Johannes Huber gentoo-dev 2020-01-13 16:43:08 UTC
(In reply to David Haller from comment #1)
> Created attachment 603130 [details, diff] [details, diff]
> fix include and qml install paths and add mkspecs files
> 
> Not sure if the "style" of the ebuild additions conforms to standard ;)

Thank you for the patch. Could you please make the patch for a -r2 ebuild as it changes installed files?
Comment 3 David Haller 2020-01-14 03:00:27 UTC
Created attachment 603246 [details, diff]
patch as -r2

Sure
Comment 4 Larry the Git Cow gentoo-dev 2020-01-26 17:15:42 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d5c3e79fc73d87d3adcb0f0b15cba9e4f09c89d8

commit d5c3e79fc73d87d3adcb0f0b15cba9e4f09c89d8
Author:     David Haller <gentoo@dhaller.de>
AuthorDate: 2020-01-26 17:14:12 +0000
Commit:     Johannes Huber <johu@gentoo.org>
CommitDate: 2020-01-26 17:15:30 +0000

    media-libs/qtav: fix installed files
    
    Closes: https://bugs.gentoo.org/705326
    Reported-by: David Haller <gentoo@dhaller.de>
    Package-Manager: Portage-2.3.85, Repoman-2.3.20
    Signed-off-by: Johannes Huber <johu@gentoo.org>

 .../qtav/files/qtav-1.12.0-installpaths.patch      | 17 +++++
 media-libs/qtav/qtav-1.12.0-r2.ebuild              | 72 ++++++++++++++++++++++
 2 files changed, 89 insertions(+)
Comment 5 Johannes Huber gentoo-dev 2020-01-26 17:16:11 UTC
Thanks a lot.